Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061450 - mysql55 meta package should include LICENSE, README and mysql55 man page files
Summary: mysql55 meta package should include LICENSE, README and mysql55 man page files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: mysql
Version: mysql55
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 1.1
Assignee: Honza Horak
QA Contact: Karel Volný
URL:
Whiteboard:
Depends On:
Blocks: 1061439 1082031
TreeView+ depends on / blocked
 
Reported: 2014-02-04 21:04 UTC by Honza Horak
Modified: 2014-06-04 07:25 UTC (History)
3 users (show)

Fixed In Version: mysql55-1.1-19.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-04 07:25:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0612 normal SHIPPED_LIVE mysql55 bug fix and enhancement update 2014-06-06 13:44:46 UTC

Description Honza Horak 2014-02-04 21:04:20 UTC
Meta package of mysql55 software collection should include the following files:
* LICENSE file with proper license text for meta package's license
* README file with mysql55 collection description, usage and examples
* mysql55.7 man page, which is located under /opt/rh and contains information related to mysql55 collection -- description, usage and examples

The tracking bug 1061439 proposes a generic way how to use RPM macros in the README file, how such file can be structured and also cointains an example how to generate the man page from such a README file. See bug 1061439 for more information.

Proposed content of the README file, generated for mysql55 collection (please check and change things specific for mysql55 collection), where RPM macros are used (see tracking bug 1061439 how to expand them in the spec file):
------------------------------------------
Package %{scl_name} provides MySQL database server delivered using Software
Collections concept. For more information about Software Collections
concept, read scl(1). By installing %{scl_name} collection, you will get
the minimum working set of packages to have working MySQL database server.

Usage: scl enable %{scl} 'mysql'

Software Collections concept allows to build and execute applications
which are not located in the filesystem root hierarchy but are present
in an alternative location, which is %{scl_prefix}
in case of %{scl_name} collection.

MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. This package contains
the MySQL server and some accompanying files and directories.

When working with %{scl_name} collection, use scl utility (see scl(1)
for usage) to enable scl environment properly.

Configuration for the %{scl_name} software collection is located under %{_sysconfdir}.

Examples:
scl enable %{scl_name} 'command --arg'
  Run a specific command with argument --arg within %{scl_name} software collections
  environment.

scl enable %{scl_name} 'mysql'
  Run mysql from %{scl_name} software collection.

scl enable %{scl_name} bash
  Run interactive shell where %{scl_name} software collection is enabled.

scl enable %{scl_name} 'man mysql'
  Show man pages for mysql command, which is part of the %{scl_name} software
  collection.

Comment 2 Honza Horak 2014-02-10 20:25:49 UTC
FYI, tracking bug #1061439 now contains adjusted and a bit simplified patch to generate man page from the README file attached here.

After discussion, it seems better to generate the man page in %build section, provide meaningful version in the man page and include notice about reporting bugs.

It was also agreed that the version of meta package should correspond with version of the RHSCL.

Comment 7 errata-xmlrpc 2014-06-04 07:25:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0612.html


Note You need to log in before you can comment on or make changes to this bug.